This queue is for tickets about the Imager CPAN distribution.

Maintainer(s)' notes

Tickets for Imager are now on github at https://github.com/tonycoz/imager

Report information
The Basics
Id:
30520
Status:
resolved
Priority:
Medium/Low
Queue:

People
Owner:
TONYC [...] cpan.org
Requestors:
ARILOU [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Normal
Broken in:
0.60
Fixed in:
(no value)



Subject: "dh-make-perl --build --cpan Imager" fails on require Makefile.PL
Trying to do dh-make-perl --build --cpan Imager I receive this fail message: ====================================================================== Could not find the dependencies for the requested module Module::Depends::Intrusive reports: /root/mk/Imager-0.61/Makefile.PL did not return a true value at /usr/share/perl5/Module/Depends/Intrusive.pm line 76. Generated error: Error: /root/mk/Imager-0.61/Makefile.PL did not return a true value at /usr/share/perl5/Module/Depends/Intrusive.pm line 76. Please check if your module depends on Module::Install for its build process - Automatically finding its dependencies is unsupported, please specify them manually using the 'depends' option. ====================================================================== Simple adding 1; in the end of Makefile.PL looks like it does fix the problem.
On Tue Nov 06 10:32:49 2007, ARILOU wrote:
Show quoted text
> Trying to do > dh-make-perl --build --cpan Imager > I receive this fail message:
Oh, I'm sorry for haven't mentioned, that dh-make-perl is a script used to make a .deb package to install a perl CPAN module through the Debian/GNU Linux package system.
Subject: Re: [rt.cpan.org #30520] "dh-make-perl --build --cpan Imager" fails on require Makefile.PL
Date: Wed, 7 Nov 2007 08:36:20 +1100
To: "Eleneldil G. Arilou via RT" <bug-Imager@rt.cpan.org>
From: tonyc@cpan.org
On Tue, Nov 06, 2007 at 10:32:51AM -0500, Eleneldil G. Arilou via RT wrote:
Show quoted text
> Trying to do > dh-make-perl --build --cpan Imager > I receive this fail message: > > ====================================================================== > Could not find the dependencies for the requested module > Module::Depends::Intrusive reports: /root/mk/Imager-0.61/Makefile.PL did > not return a true value at /usr/share/perl5/Module/Depends/Intrusive.pm > line 76. > > Generated error: Error: /root/mk/Imager-0.61/Makefile.PL did not return > a true value at /usr/share/perl5/Module/Depends/Intrusive.pm line 76. > > Please check if your module depends on Module::Install > for its build process - Automatically finding its > dependencies is unsupported, please specify them manually > using the 'depends' option. > ======================================================================
This is a reported bug in Module::Build::Intrusive. http://rt.cpan.org/Ticket/Display.html?id=21229 I'll probably work around it anyway for 0.62. Tony
On Tue Nov 06 10:32:49 2007, ARILOU wrote:
Show quoted text
> Trying to do > dh-make-perl --build --cpan Imager > I receive this fail message: > > ====================================================================== > Could not find the dependencies for the requested module > Module::Depends::Intrusive reports: /root/mk/Imager-0.61/Makefile.PL did > not return a true value at /usr/share/perl5/Module/Depends/Intrusive.pm > line 76.
Hi, This problem is fixed in Imager 0.62, which should be available at a mirror near you in 24-48 hours. Thanks for reporting this problem. Tony


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.